Subject: bug#17333: sh-mode: File local variables for setting shell variant

From: Ben Finney <[email-masked]>
Date: Wed, 30 Apr 2014 11:17:30 +1000

On 29-Apr-2014, Stefan Monnier wrote:
> The var's name is `sh-shell', and I guess this could make sense for the
> "fine tuning" (e.g. distinguish between csh and tcsh), tho I'm not sure
> it's worth the trouble.

Having access, via the file's local variables, to set that variable
(or something equivalent like “shell-variant”) is exactly what this
bug report is about. So yes, that would be ideal.

-- 
 \                    “It's all in the mind, you know.” —The Goon Show |
  `\                                                                   |
_o__)                                                                  |
Ben Finney <[email-masked]>